Subject: [EAI] Question regarding RFC 6531

From: Eli Skeggs <[email-masked]>
Date: Sun, 25 Jun 2017 04:11:34 +0000

Minor correction to the copy available at
https://tools.ietf.org/html/rfc6531#section-3.3:
Page 7 includes a link to "RFC 5890, Section 2.3.2.1." The 2.3.2.1 portion
incorrectly links to the nonexistent section 2.3.2.1 of RFC 6531 (to itself),
where the prior portion of the link is correct. The link immediately precedes
the <U-label> import definition.
Thanks,Eli

---

From: "Jiankang Yao" <[email-masked]>
Date: Mon, 26 Jun 2017 10:17:47 +0800

From: Eli Skeggs
Date: 2017-06-25 12:11
To: ima
Subject: [EAI] Question regarding RFC 6531
>Minor correction to the copy available at https://tools.ietf.org/html/rfc6531#section-3.3:
>
>
>Page 7 includes a link to "RFC 5890, Section 2.3.2.1." 
>

Dear Eli,

Thanks for your question.
I think that you mean Page 8, not Page 7.
In page 8, there is a sentence"The following ABNF rule will be imported from RFC 5890, Section
   2.3.2.1"

>The 2.3.2.1 portion incorrectly links to the nonexistent section 2.3.2.1 of RFC 6531 (to itself), 
>where the prior portion of the link is correct. The link immediately >precedes the <U-label> import definition.
>

This problem is due to the html version's link problem.  "RFC 5890, Section 2.3.2.1" should link to only one link :"https://tools.ietf.org/html/rfc5890#section-2.3.2.1",
but this page separates "RFC 5890, Section 2.3.2.1" to 2 links, and one makes text "RFC 5890,Section" link to RFC 5890, another makes text " 2.3.2.1" link to RFC 6531.

All other similar sentences all got the right link. for examples:

 1) The following ABNF rule will be imported from RFC 5234, Appendix B.1
 2) extend the definition of sub-domain in RFC 5321, Section 4.1.2

The text has no problem.
We may ask for the help from RFC editors and let them edit the link of text "RFC 5890, Section 2.3.2.1" of the html version of this RFC to make it get the right link.

Thanks.

Jiankang Yao

>Thanks,
>Eli

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 26 Jun 2017 15:46:51 +0100

Hi,

On 26/06/2017 03:17, Jiankang Yao wrote:

>> Minor correction to the copy available athttps://tools.ietf.org/html/rfc6531#section-3.3:
>>
>>
Yes, it is on page 8.
> We may ask for the help from RFC editors and let them edit the link of text "RFC 5890, Section 2.3.2.1" of the html version of this RFC to make it get the right link.
RFC Editor doesn't control tools.ietf.org HTML version. I think you 
should email Henrik Levkowetz <[email-masked]> directly.

Best Regards,
Alexey